### GitHub Flavored Markdown

- Created in 2009, standarized in 2017
- 99% compatible with CommonMark
    - Changes underscore parsing
- Adds useful extensions
    - Tables
    - Strikethrough
    - Autolinks
    - Tasklists
- Most modern Markdown parsers implement this

[comment]: # (|||) <!--------------------------------------------------------->

<div style="text-align: center; display: grid; grid-template-columns: 1fr 1fr; align-items: center;">
<div> <!-- Left pane -->
<!-- Title -->

<div style="font-size: 24pt">

```markdown
|   Left     |     Center      |     Right    |
|------------|:---------------:|-------------:|
| You can do | **Markdown** in | these cells! |
```

</div>
</div>
<div> <!-- Right pane -->
<!-- Title -->

<div style="font-size: 24pt">

|   Left     |     Center      |     Right    |
|------------|:---------------:|-------------:|
| You can do | **Markdown** in | these cells! |

</div>
</div>

[comment]: # (|||) <!--------------------------------------------------------->

<div style="text-align: center; display: grid; grid-template-columns: 1fr 1fr; align-items: center;">
<div> <!-- Left pane -->
<!-- Title -->

```markdown
~~Strikethrough~~

https://lug.mines.edu/attend

- [ ] Homework
- [x] Drank 53 energy drinks
- [x] Ate 2 cans of beans

Example of some_thing_ that doesn't parse
in GFM
```

</div>
<div> <!-- Right pane -->
<!-- Title -->

~~Strikethrough~~

https://lug.mines.edu/attend

- [ ] Homework
- [x] Drank 53 energy drinks
- [x] Ate 2 cans of beans

Example of some_thing_ that doesn't parse
in GFM
</div>

[comment]: # (!!!) <!--------------------------------------------------------->
